Bug 1270864 - ipa-server-install fails for httpd port is busy/taken? [NEEDINFO]
ipa-server-install fails for httpd port is busy/taken?
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa (Show other bugs)
7.1
x86_64 Linux
unspecified Severity high
: rc
: ---
Assigned To: IPA Maintainers
Namita Soman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-12 10:33 EDT by lejeczek
Modified: 2015-12-15 07:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-15 07:42:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pvoborni: needinfo? (peljasz)


Attachments (Terms of Use)
ipaserver-install.log (327.30 KB, text/plain)
2015-10-13 04:01 EDT, lejeczek
no flags Details

  None (edit)
Description lejeczek 2015-10-12 10:33:06 EDT
Description of problem:

firstly I wasn't sure where to file this report, could not find ipa-server component.
errors:

  [15/16]: restarting httpd
  [error] CalledProcessError: Command ''/bin/systemctl' 'restart' 'httpd.service'' returned non-zero exit status 1
Unexpected error - see /var/log/ipaserver-install.log for details:
CalledProcessError: Command ''/bin/systemctl' 'restart' 'httpd.service'' returned non-zero exit status 1

What fails is what looks like last leg of the installation process, and port is being used by:

pkiuser  29722     1 11 2128224 463292 6 15:15 ?       00:00:14 java -agentpath:/usr/lib64/libabrt-java-connector.so=abrt=on -DRESTEASY_LIB=/usr/share/java/resteasy-base -classpath /usr/share/tomcat/bin/bootstrap.jar:/usr/share/tomcat/bin/tomcat-juli.jar:/usr/share/java/commons-daemon.jar -Dcatalina.base=/var/lib/pki/pki-tomcat -Dcatalina.home=/usr/share/tomcat -Djava.endorsed.dirs= -Djava.io.tmpdir=/var/lib/pki/pki-tomcat/temp -Djava.util.logging.config.file=/var/lib/pki/pki-tomcat/conf/logging.properties -Djava.util.logging.manager=org.apache.juli.ClassLoaderLogManager -Djava.security.manager -Djava.security.policy==/var/lib/pki/pki-tomcat/conf/catalina.policy org.apache.catalina.startup.Bootstrap start

Is the script staring some components too early, or incorrectly?

Version-Release number of selected component (if applicable):

ipa-server-4.1.0-18.sl7_1.4.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 lejeczek 2015-10-13 04:01 EDT
Created attachment 1082292 [details]
ipaserver-install.log
Comment 3 Petr Vobornik 2015-10-19 15:05:10 EDT
Helloe lejeczek, 

was the port opened prior installation?
Comment 4 Petr Vobornik 2015-10-19 15:15:42 EDT
Please also attach httpd error_log
Comment 5 Petr Vobornik 2015-12-15 07:42:31 EST
Closing due to lack of information.

Note You need to log in before you can comment on or make changes to this bug.